using System;
using System.Linq;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempItemFaturaB
    {
        public DataTable SelectCount(entidadeTempItemFaturaB objTempItemFaturaB)
        {
            dalTempItemFaturaB dalTempItemFaturaB = null;
            DataTable dt = null;

            try
            {
                dalTempItemFaturaB = new dalTempItemFaturaB();
                dt = dalTempItemFaturaB.SelectCount(objTempItemFaturaB);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Execute(entidadeTempItemFaturaB objTempItemFaturaB)
        {
            dalTempItemFaturaB dalTempItemFaturaB = null;

            try
            {
                dalTempItemFaturaB = new dalTempItemFaturaB();

                dalTempItemFaturaB.Execute(objTempItemFaturaB);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select(entidadeTempItemFaturaB objTempItemFaturaB)
        {
            dalTempItemFaturaB dalTempItemFaturaB = null;
            DataTable dt = null;

            try
            {
                dalTempItemFaturaB = new dalTempItemFaturaB();
                dt = dalTempItemFaturaB.Select(objTempItemFaturaB);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select_1(entidadeTempItemFaturaB objTempItemFaturaB)
        {
            dalTempItemFaturaB dalTempItemFaturaB = null;
            DataTable dt = null;

            try
            {
                dalTempItemFaturaB = new dalTempItemFaturaB();
                dt = dalTempItemFaturaB.Select_1(objTempItemFaturaB);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select_2(entidadeTempItemFaturaB objTempItemFaturaB)
        {
            dalTempItemFaturaB dalTempItemFaturaB = null;
            DataTable dt = null;

            try
            {
                dalTempItemFaturaB = new dalTempItemFaturaB();
                dt = dalTempItemFaturaB.Select_2(objTempItemFaturaB);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeTempItemFaturaB objTempItemFaturaB)
        {
            dalTempItemFaturaB dalTempItemFaturaB = null;

            try
            {
                dalTempItemFaturaB = new dalTempItemFaturaB();

                dalTempItemFaturaB.Delete(objTempItemFaturaB);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete_1(entidadeTempItemFaturaB objTempItemFaturaB)
        {
            dalTempItemFaturaB dalTempItemFaturaB = null;

            try
            {
                dalTempItemFaturaB = new dalTempItemFaturaB();

                dalTempItemFaturaB.Delete_1(objTempItemFaturaB);
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
